同时安装多个不同版本的node.js是否会共用同一个文件导致出问题?

ii_qooc
  • 14

比如共用package-lock.json文件,.npmrc文件,或npm-cache文件夹,这样会有什么隐患吗?
(主要是atom自带了node.js,想装新的node.js但怕有冲突,文件共用问题,以及新node.js添加环境变量后会不会导致atom不能用)

回复
阅读 619
2 个回答

对于具体的nodejs项目来说,本身应该是适配一个主开发nodejs版本的,这些诸如package.json文件等之和项目本身关联,和nodejs版本不关联。

此外系统如何支持多个版本的nodejs,而不混淆,需要看系统资源组织和管理,一般情况下,同一时间可以安装多个版本的,但系统默认肯定只有一个。对此,有一些工具或者工程组织方法来进行管理。

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
你知道吗?

宣传栏